Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006474opensim[REGION] Physics Enginespublic2012-12-21 14:222014-07-29 13:41
Reportercmickeyb 
Assigned ToRobert Adams 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Versionmaster (dev code) 
Target Versionmaster (dev code)Fixed in Versionmaster (dev code) 
Summary0006474: BulletSim -- llApplyImpulse only applies the first time its called
DescriptionCreate a prim, set buoyancy to 1.0 and repeatedly call llApplyImpulse. The first impulse seems to move the object though the object stops after moving. Subsequent calls do not appear to move the object at all.
Steps To ReproduceCreate a prim with this script:
default
{
    state_entry()
    {
        llSay(0, "Script running");
    }
    
    touch_start(integer i)
    {
        llSetStatus(STATUS_PHYSICS, TRUE);
        llSetStatus(STATUS_DIE_AT_EDGE, TRUE);
        llSetBuoyancy(1.0);
        llSetTimerEvent(1.0);
    }
    
    timer()
    {
       vector force = 3 * llGetMass() * llVecNorm(llGetPos() - <128.0, 128.0, 25.0>);
       llSay(0,"push " + (string)force);
       llApplyImpulse(force, FALSE);
    }
}
TagsNo tags attached.
Git Revision or version number
Run Mode Grid (Multiple Regions per Sim)
Physics EngineBulletSim
Environment.NET / Windows64
Mono VersionNone
Viewer
Attached Files

- Relationships

-  Notes
(0023296)
cmickeyb (administrator)
2012-12-21 14:24

Same behavior for llSetForce
(0023327)
Robert Adams (administrator)
2012-12-27 09:42

There was a problem with physics deactivation that was causing the object to stop and not get restarted. llApplyImpulse should be calibrated to close to the same effect for the same impulse as SL.

- Issue History
Date Modified Username Field Change
2012-12-21 14:22 cmickeyb New Issue
2012-12-21 14:22 cmickeyb Status new => assigned
2012-12-21 14:22 cmickeyb Assigned To => Robert Adams
2012-12-21 14:24 cmickeyb Note Added: 0023296
2012-12-27 09:42 Robert Adams Note Added: 0023327
2012-12-27 09:42 Robert Adams Status assigned => resolved
2012-12-27 09:42 Robert Adams Fixed in Version => master (dev code)
2012-12-27 09:42 Robert Adams Resolution open => fixed
2014-07-29 13:41 chi11ken Status resolved => closed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker